<p>calendarview works!</p>
<li [ngbNavItem]="1">
    <a ngbNavLink>Calendar View</a>
    <ng-template ngbNavContent>
      <button type="button" class="btn btn-primary m-3" (click)="show()">
        Add Event
      </button>

      <div class="row">
        <div class="col">
          <div class="btn-group">
            <div
              class="btn btn-primary"
              mwlCalendarPreviousView
              [view]="view"
              [(viewDate)]="viewDate"
            >
              Previous
            </div>
            <div
              class="btn btn-outline-secondary"
              mwlCalendarToday
              [(viewDate)]="viewDate"
            >
              Today
            </div>
            <div
              class="btn btn-primary"
              mwlCalendarNextView
              [view]="view"
              [(viewDate)]="viewDate"
            >
              Next
            </div>
          </div>
        </div>
        <div class="col">
          <h1>{{ viewDate | calendarDate: view + "ViewTitle":"en" }}</h1>
        </div>

        <!-- <mwl-calendar-month-view [viewDate]="viewDate">
  </mwl-calendar-month-view>  -->
        <div class="col">
          <div class="btn-group float-end">
            <div
              class="btn btn-primary"
              (click)="setView(CalendarView.Month)"
              [class.active]="view === CalendarView.Month"
            >
              Month
            </div>
            <div
              class="btn btn-primary"
              (click)="setView(CalendarView.Week)"
              [class.active]="view === CalendarView.Week"
            >
              Week
            </div>
            <div
              class="btn btn-primary"
              (click)="setView(CalendarView.Day)"
              [class.active]="view === CalendarView.Day"
            >
              Day
            </div>
          </div>
        </div>
      </div>

      <div [ngSwitch]="view">
        <mwl-calendar-month-view
          (dayClicked)="dayClicked($event.day)"
          *ngSwitchCase="CalendarView.Month"
          [viewDate]="viewDate"
          [events]="events"
          [refresh]="refresh"
          [activeDayIsOpen]="activeDayIsOpen"
          (dayClicked)="dayClicked($event.day)"
          (eventClicked)="handleEvent('Clicked', $event.event)"
          (eventTimesChanged)="eventTimesChanged($event)"
        >
        </mwl-calendar-month-view>

        <mwl-calendar-week-view
          *ngSwitchCase="CalendarView.Week"
          [viewDate]="viewDate"
          [events]="events"
          [refresh]="refresh"
          (eventClicked)="handleEvent('Clicked', $event.event)"
          (eventTimesChanged)="eventTimesChanged($event)"
        >
        </mwl-calendar-week-view>

        <mwl-calendar-day-view
          *ngSwitchCase="CalendarView.Day"
          [viewDate]="viewDate"
          [events]="events"
          [refresh]="refresh"
          (eventClicked)="handleEvent('Clicked', $event.event)"
          (eventTimesChanged)="eventTimesChanged($event)"
        >
        </mwl-calendar-day-view>
      </div>
    </ng-template>
  </li>